/***************************************************************************
 * optionsguitest.cpp
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2004-2006 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#include "optionguitest.h"
#include "src/header.h"

#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <kmainwindow.h>

#include "src/options/options.h"

void OptionGuiTest::testAssistant() {}

/*
class MainWindow : public KMainWindow {
public:
	MainWindow() {
		KConfig fullPath("/home/gwenael/tmp/kdeConfig");
		TSE3::MidiSchedulerFactory factory;
		TSE3::MidiScheduler* scheduler;
		
		try {
			scheduler = factory.createScheduler();
		} catch (TSE3::MidiSchedulerError e) {
			scheduler = 0;
		}
		
		Options option(factory, &scheduler, &fullPath, 0x0);
		option.exec();
	}
};

void OptionGuiTest::testAssistant()
{
	TSE3::MidiSchedulerFactory factory;
	Options option(factory, 0x0, 0x0, 0x0);
	
	Settings::timidityReverb();
	Settings::timidityVlpf();
	Settings::timidityBuffer();
	Settings::timidityFrequency();
	Settings::timidityRealTime();
	Settings::timidityRealTimeEnable();
	Settings::timidityResamp();
	Settings::timidityNoise();
	Settings::timidityDelay();
	Settings::timidityChorus();
	Settings::timidityOutput();
	Settings::timidityFragment();
	Settings::timidityPath();
	Settings::midiTimidity();
	Settings::midiPortNumber();
Settings::titleItalic();
Settings::titleWeight();
Settings::titleSize();
Settings::titleFont();
Settings::subTitleItalic();
Settings::subTitleWeight();
Settings::subTitleSize();
Settings::subTitleFont();
Settings::textAndTabItalic();
Settings::textAndTabWeight();
Settings::textAndTabSize();
Settings::textAndTabFont();
Settings::timeSignatureItalic();
Settings::timeSignatureWeight();
Settings::timeSignatureSize();
Settings::timeSignatureFont();
Settings::titleItalic();
Settings::titleWeight();
Settings::titleSize();
Settings::titleFont();
Settings::subTitleItalic();
Settings::subTitleWeight();
Settings::subTitleSize();
Settings::subTitleFont();
Settings::textAndTabItalic();
Settings::textAndTabWeight();
Settings::textAndTabSize();
Settings::textAndTabFont();
Settings::timeSignatureItalic();
Settings::timeSignatureWeight();
Settings::timeSignatureSize();
Settings::timeSignatureFont();
	
	option.exec();
}

int main(int argc, char *argv[])
{
	KAboutData about("ktabedit", 0, ki18n("KTabEdit"), 0, KLocalizedString(), KAboutData::License_GPL,
						ki18n("(C) 2004-2007 by KTabEdit Development Team"), KLocalizedString(),
						"http://ktabedit.sourceforge.net");
	
	TSE3::MidiSchedulerFactory factory;
	KCmdLineArgs::init(argc, argv, &about);
	KApplication app;
	MainWindow mainWindow;
	app.setMainWidget(&mainWindow);
	mainWindow.show();
	return app.exec();
}
*/
int main(int argc, char *argv[]) {}
#include "optionguitest.moc"
